﻿Imports WiimoteActiveboard_2_VB.WiimoteLib

Public Class Settings

    Private wm As New Wiimote()
    Dim ready As Boolean = False

    Private Sub trackBar1_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles trackBar1.Scroll
        Grp_Smoothing.Text = "Cursor Smoothing: " & trackBar1.Value.ToString
        Form1.execute_trackbarscroll(trackBar1.Value)
    End Sub

    Private Sub Settings_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        CB_Lang.SelectedIndex = My.Settings.lang

    End Sub

    Private Sub CB_Lang_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CB_Lang.SelectedIndexChanged
        My.Settings.lang = CB_Lang.SelectedIndex
        My.Settings.Save()

        Form1.accept_lang()
    End Sub

    Private Sub CB_A_TextChanged(sender As Object, e As System.EventArgs) Handles CB_A.TextChanged
        If ready = True Then
            My.Settings.key_a = CB_A.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub CB_B_TextChanged(sender As Object, e As System.EventArgs) Handles CB_B.TextChanged
        If ready = True Then
            My.Settings.key_b = CB_B.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub CB_Home_TextChanged(sender As Object, e As System.EventArgs) Handles CB_Home.TextChanged
        If ready = True Then
            My.Settings.key_home = CB_Home.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub CB_Minus_TextChanged(sender As Object, e As System.EventArgs) Handles CB_Minus.TextChanged
        If ready = True Then
            My.Settings.key_minus = CB_Minus.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub CB_Plus_TextChanged(sender As Object, e As System.EventArgs) Handles CB_Plus.TextChanged
        If ready = True Then
            My.Settings.key_plus = CB_Plus.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub Settings_Shown(sender As Object, e As System.EventArgs) Handles Me.Shown
        CB_A.Text = My.Settings.key_a
        CB_B.Text = My.Settings.key_b
        CB_1.Text = My.Settings.key_1
        CB_2.Text = My.Settings.key_2
        CB_Home.Text = My.Settings.key_home
        ready = True
    End Sub

    Private Sub CB_1_TextChanged(sender As Object, e As System.EventArgs) Handles CB_1.TextChanged
        If ready = True Then
            My.Settings.key_1 = CB_1.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub CB_2_TextChanged(sender As Object, e As System.EventArgs) Handles CB_2.TextChanged
        If ready = True Then
            My.Settings.key_2 = CB_2.Text
            My.Settings.Save()
        End If
    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_a.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_A.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_b.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_B.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button3_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_1.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_1.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button4_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_2.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_2.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button5_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_plus.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_Plus.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button6_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_minus.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_Minus.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button7_Click(sender As System.Object, e As System.EventArgs) Handles Btn_select_home.Click
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            CB_Home.Text = OpenFileDialog1.FileName
        End If
    End Sub
End Class