﻿Public Class Drawer
    Private MouseD As Boolean
    Private Col As Color
    Public NewPen As Pen
    Public bmp As Bitmap
    Private Plist As List(Of Point)
    Public HG_Bmp As Bitmap
    Public custom_img As Boolean

    Private Sub PictureBox1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PBDraw.MouseDown
        MouseD = True
        Plist.Add(New Point(e.X, e.Y))
    End Sub

    Private Sub picout_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PBDraw.MouseMove
        If MouseD Then
            Plist.Add(New Point(e.X, e.Y))
            PBDraw.Invalidate()
        End If
    End Sub

    Private Sub picout_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PBDraw.MouseUp
        If MouseD Then
            MouseD = False
            Using gr = Graphics.FromImage(bmp)

                Draw(gr)
                gr.Flush()
            End Using
            Using gr = Graphics.FromImage(HG_Bmp)

                gr.DrawImage(bmp, 0, 0)
                gr.Flush()
            End Using

            Plist.Clear()
            PBDraw.Invalidate()
        End If
    End Sub

    Private Sub picturebox1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles PBDraw.Paint
        If MouseD Then Draw(e.Graphics)
    End Sub

    Private Sub Draw(ByVal g As Graphics)
        If Plist.Count > 0 Then
            Dim bs As Byte() = New Byte(Plist.Count - 1) {}
            bs(0) = CByte(System.Drawing.Drawing2D.PathPointType.Start)
            For a As Integer = 1 To Plist.Count - 1
                bs(a) = CByte(System.Drawing.Drawing2D.PathPointType.Line)
                g.DrawPath(NewPen, New System.Drawing.Drawing2D.GraphicsPath(Plist.ToArray, bs))
            Next
        End If
    End Sub

    Private Sub Drawer_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'HG_Bmp = New Bitmap(PBDraw.Width, PBDraw.Height)
        'bmp = New Bitmap(PBDraw.Width, PBDraw.Height)
        'Using gr As Graphics = Graphics.FromImage(bmp)
        '    gr.Clear(Color.Transparent)
        '    PBDraw.Invalidate()
        'End Using
        'Using gr As Graphics = Graphics.FromImage(HG_Bmp)
        '    gr.Clear(Color.White)
        '    gr.DrawImage(bmp, 0, 0)
        '    PBDraw.Invalidate()
        'End Using
        'PBDraw.Image = HG_Bmp
        Plist = New List(Of Point)
    End Sub
End Class